package com.realnet.order_estimation.Services;
import com.realnet.order_estimation.Repository.ProductssRepository;
import com.realnet.order_estimation.Entity.Productss
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;


	import org.springframework.stereotype.Service;

@Service
 public class ProductssService {
@Autowired
private ProductssRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;

public Productss Savedata(Productss data) {


	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Productss save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Productss> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Productss> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Productss> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Productss getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Productss update(Productss data,Integer id) {
	Productss old = Repository.findById(id).get();
old.setProduct_name(data.getProduct_name());

final Productss test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 


 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
